Core - Bug # 49989

Task # 47756 (Resolved): Remove require / require_once fallback layers for namespaced classes

Status: Resolved Priority: Should have
Author: Wouter Wolters Category:

Created: 2013-07-12 Assigned To:

Updated: 2013-07-30 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subiject: Cleanup ext:func

Description
Cleanup ext:func
- Remove require_once calls

- Bootstrap module with _DISPATCH
- Replace global $LANG and $BACK_PATH

Associated revisions

Revision ¢16837ac - 2013-07-30 18:08 - Wouter Wolters

[TASK] Cleanup ext:func

- Remove require_once calls
- Replace global $LANG and $BACK_PATH

Change-Id: 1279bf7a1a59ed3dbf490a6b875977915ef503d13
Resolves: #49989
Releases: 6.2

Reviewed-on: https://review.typo3.0rg/22268

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2013-07-12 20:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22268

#2 - 2013-07-12 20:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22268

#3 - 2013-07-16 19:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22268

#4 - 2013-07-16 19:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22268

#5 - 2013-07-28 21:37 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22268

#6 - 2013-07-30 16:51 - Wouter Wolters
- Parent task set to #47756

#7 - 2013-07-30 18:31 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c16837ac472675a7cc2c5236abe888dad3c04e22.
